$schema: http://support.riverbed.com/apis/service_def/2.2
description: Service for RESTful configuration of user-editable report manager settings
id: http://support.riverbed.com/apis/npm.reports.config/1.0
name: npm.reports.config
provider: riverbed
resources:
  reverse_resolution:
    additionalProperties: false
    description: Settings for controlling how hostnames are synthesized for IPs
    links:
      get:
        method: GET
        response:
          $ref: '#/resources/reverse_resolution'
      self:
        path: $/reverse_resolution
      set:
        method: PUT
        request:
          $ref: '#/resources/reverse_resolution'
        response:
          $ref: '#/resources/reverse_resolution'
    properties:
      max_ips:
        description: Maximum number of IPs to attempt to resolve in a single reporting
          query. Set to '0' for no limit.
        minimum: 0
        type: integer
      resolution_range:
        description: IP ranges for which reporting DNS reverse lookups should be attempted
          or excluded
        enum:
        - none
        - any
        - within
        - excluding
        type: string
      resolution_range_groups:
        description: List of hosts (e.g. x.x.x.x, x.x.x.x/prefix), host-ranges(e.g.
          x.x.x.x-y.y.y.y, x.x.x.x/prefix-y.y.y.y/prefix)
        items:
          type: string
        type: array
    required:
    - max_ips
    - resolution_range
    - resolution_range_groups
    type: object
title: Report Manager config service
version: '1.0'
